IonCube Loader is a software tool, that is needed to run files which are encoded with ionCube PHP Encoder. The latter is an application employed to make PHP code human unreadable, in order to protect it from reverse engineering and illegal use. A large number of script-driven applications, particularly forums, content management systems and e-commerce solutions are encoded with ionCube PHP Encoder, so when you acquire a script and you find that ionCube is among the web hosting environment prerequisites, you have to ensure that your website hosting server has the tool pre-installed. Although it's not that difficult to set it up if you have your own server, it is close to impossible to do that on a shared web hosting server as the PHP environment should be precompiled and all clients on the server shall be affected.

IonCube in Cloud Hosting

IonCube Loader comes with all cloud hosting plans which we provide, so any time you need it in order to set up and execute a script application which needs it, you can enable it with a single click from the Advanced area of your Hepsia Control Panel. As you can change the PHP version that is active for your account in the same section, you'll need to enable the instrument for each new version which you set. When you're more skillful, you are able to take advantage of a php.ini file in a domain or subdomain folder and set the PHP version as well as the status of ionCube Loader for that particular website only, without affecting the whole account. Thus you will be able to operate both new and older script applications for multiple sites inside the same account - a thing that you won't be able to do with many other web hosting service providers on the market.

IonCube in Semi-dedicated Servers

In case you aquire a semi-dedicated server package from us, you can take advantage of any script-driven app which requires ionCube Loader since the software tool is installed on all the servers which are part of our state-of-the-art cloud hosting platform. Furthermore, we support different releases of PHP, which means that if you move from PHP 4 to 5.2 or 5.3, for instance, you can activate ionCube for this particular version with just a click from your Hepsia Control Panel. Our platform will remember your choice, and if you move back to the earlier version of PHP, the software instrument will already be active. For more experienced users, we also offer the option to choose the PHP version and if ionCube will be active or not for a particular domain name without altering the settings for the entire web hosting account. This can be done by placing a php.ini file inside a domain folder with a couple of lines of program code.